/*
 * COPYRIGHT (c) 2018 All rights reserved by HANWHA LIFE.
 */
package kr.co.zumo.app.lifeplus.bean.api;

import com.google.gson.annotations.SerializedName;

/**
 * PolicyBean
 * <pre>
 * </pre>
 *
 * @author 민효동
 * @version 1.0
 * @history 민효동   [2018. 10. 1.]   [최초 작성]
 * @since 2018. 10. 1.
 */
public class PolicyBean extends PolicyVersionBean {
  /*
  {"type_cd":1,"version":1,"mandatory":true,"title":"정책 1","link_url":"http://m.naver.com"},
  type_cd	정책 타입 코드
  version	정책 버전 정보
  mandatory	필수 여부 (true/false)
  title	정책 제목
  link_url	페이지 링크 URL
   */
  @SerializedName("mandatory")
  private boolean mandatory;
  @SerializedName("title")
  private String title;
  @SerializedName("link_url")
  private String url;
  @SerializedName("isChecked")
  private boolean isChecked;

  public PolicyBean(int type, int version) {
    super(type, version);
  }

  public boolean isChecked() {
    return isChecked;
  }

  public void setChecked(boolean checked) {
    isChecked = checked;
  }

  public boolean isMandatory() {
    return mandatory;
  }

  public void setMandatory(boolean mandatory) {
    this.mandatory = mandatory;
  }

  public String getTitle() {
    return title;
  }

  public void setTitle(String title) {
    this.title = title;
  }

  public String getUrl() {
    return url;
  }

  public void setUrl(String url) {
    this.url = url;
  }
}
